<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:background="@color/white"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".ui.activity.bookmark.BookmarkActivity">

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        app:layout_constraintTop_toTopOf="parent">

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical|start"
            android:layout_marginVertical="10dp"
            android:layout_marginStart="10dp">

            <TextView
                android:id="@+id/tv_cancel"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginStart="8dp"
                android:text="Cancel"
                android:textColor="#0571ED"
                android:textSize="18sp"
                android:visibility="gone"
                tools:ignore="HardcodedText" />

            <FrameLayout
                android:id="@+id/fl_fanhui"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:padding="10dp">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@mipmap/h_fanhui"
                    tools:ignore="ContentDescription" />

            </FrameLayout>

            <FrameLayout
                android:id="@+id/fl_tab"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="8dp"
                android:background="@drawable/bg_eef1f6_15"
                android:padding="4dp"
                android:text="Feedback"
                android:textSize="19sp"
                android:textStyle="bold"
                tools:ignore="HardcodedText">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:orientation="horizontal"
                    tools:ignore="UselessParent">

                    <TextView
                        android:id="@+id/tv_tab_bookmark"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:background="@drawable/bg_border_selector_bookmark"
                        android:gravity="center"
                        android:includeFontPadding="false"
                        android:paddingHorizontal="12dp"
                        android:paddingVertical="10dp"
                        android:text="Bookmark"
                        android:textColor="@color/color_tab_bookmark"
                        android:textSize="18sp" />

                    <TextView
                        android:id="@+id/tv_tab_history"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_marginStart="12dp"
                        android:background="@drawable/bg_border_selector_bookmark"
                        android:gravity="center"
                        android:includeFontPadding="false"
                        android:paddingHorizontal="12dp"
                        android:paddingVertical="10dp"
                        android:text="History"
                        android:textColor="@color/color_tab_bookmark"
                        android:textSize="18sp" />

                </LinearLayout>

            </FrameLayout>

        </LinearLayout>

        <ImageView
            android:id="@+id/iv_new_folder"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical|end"
            android:layout_marginEnd="20dp"
            android:gravity="center"
            android:src="@mipmap/tianjia_bookmark"
            android:textColor="#AEAEB0"
            android:textSize="16sp"
            android:visibility="gone"
            tools:ignore="ContentDescription,HardcodedText" />

        <ImageView
            android:id="@+id/iv_delete"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical|end"
            android:layout_marginEnd="20dp"
            android:gravity="center"
            android:src="@mipmap/h_del_history"
            android:textColor="#AEAEB0"
            android:textSize="16sp"
            android:visibility="gone"
            tools:ignore="ContentDescription,HardcodedText" />

    </FrameLayout>


    <androidx.viewpager2.widget.ViewPager2
        android:id="@+id/viewPager2"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1" />

    <FrameLayout
        android:id="@+id/fl_operation"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        android:background="@color/white"
        android:orientation="horizontal"
        android:visibility="gone">

        <LinearLayout
            android:id="@+id/ll_remove_folder"
            android:layout_width="120dp"
            android:layout_height="wrap_content"
            android:layout_gravity="start"
            android:layout_marginStart="45dp"
            android:layout_marginTop="5dp"
            android:layout_marginBottom="10dp"
            android:orientation="vertical"
            tools:ignore="UseCompoundDrawables">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:src="@mipmap/remove_folder_edit"
                tools:ignore="ContentDescription" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:text="Remove Folder"
                android:textColor="#6E757B"
                android:textSize="14sp"
                tools:ignore="HardcodedText" />

        </LinearLayout>

        <LinearLayout
            android:id="@+id/ll_delete"
            android:layout_width="120dp"
            android:layout_height="wrap_content"
            android:layout_gravity="end"
            android:layout_marginTop="5dp"
            android:layout_marginEnd="45dp"
            android:layout_marginBottom="10dp"
            android:orientation="vertical"
            tools:ignore="UseCompoundDrawables">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:src="@mipmap/b_del_folder_edit"
                tools:ignore="ContentDescription" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:text="Delete"
                android:textColor="#6E757B"
                android:textSize="14sp"
                tools:ignore="HardcodedText" />

        </LinearLayout>

    </FrameLayout>

</LinearLayout>